package cz.davidak.ftpcam;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Environment;
import android.preference.PreferenceManager;
import android.util.Log;
import android.widget.Toast;

import java.io.File;
import java.io.FileOutputStream;
import java.security.Timestamp;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by Administrator on 20.12.2015.
 */
public class FtpLog {

    private FtpLog (){}

    public static boolean putLog (String logData, Context context)
    {
        SharedPreferences SP = PreferenceManager.getDefaultSharedPreferences(context);
        boolean logOn = SP.getBoolean("pref_log_service", false);
        if(logOn)
        {
            String timeStamp = new SimpleDateFormat("dd.MM.yyyy HH:mm:ss").format(new Date());

            File file = new File(getLogPath());
            Log.e("LogFile", "Log writed: " + logData);
            FileOutputStream outputStream;
            String logText = "[" + timeStamp + "] " + logData + "\n";
            try {
                outputStream = new FileOutputStream(file, true);

                outputStream.write(logText.getBytes());
                outputStream.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
            return true;
        }
        else
        {
            return false;
        }
    }
    public static String getLogPath()
    {
        File mediaStorageDir = new File(Environment.getExternalStoragePublicDirectory(
                Environment.DIRECTORY_PICTURES), "FTPCam");
        String path = mediaStorageDir.getPath() + File.separator +
                "app.log";
        return path;
    }
}
